# Contributing

### :raised_hands: Thank you for considering contributing to this project!

There are several important ways you can help; here are some examples:

- Submitting bug reports and feature requests: see [Issues](https://github.com/agile-geoscience/gio/issues).
- Proposing code for bug fixes and new features, then [making a pull request](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/about-pull-requests).
- Contributing data files to test against. See below.
- Fixing typos and generally improving the documentation.
- Writing tutorials, examples, and how-to documents.


## Contributing data files

This is a data-driven project and data files are always helpful, especially if they differ substantially from examples we already have.

Please ensure that data is open access and provide a licence file with it. please also make them as small as possible, preferably well under 1MB.


## Code of conduct

We're fortunate to be part of a large professional community that conducts itself with mutual respect and consideration for others. Agile's [Code of Conduct](https://github.com/agile-geoscience/corporate/blob/main/CODE_OF_CONDUCT.md) is part of protecting these features for everyone, everywhere. Please read it.


## Authorship

If you contribute a pull request to the project, please add yourself to `AUTHORS.md`.
